Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Idempotency-Key
string

A unique key that makes this request safe to retry. See Idempotent requests.

Maximum string length: 255
Example:

"d9105228-4a08-46b1-8b91-42fed586d383"

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-08-05-1"

Path Parameters

id
string
required

App build ID, prefixed abld_.

Response

app build promotion started

checksum
string
required

Client-generated checksum of the build file, used to verify file integrity.

created_at
string
required

When the build was uploaded, as an ISO 8601 timestamp.

file_url
string | null
required

URL to download the uploaded build artifact.

id
string
required

App build ID, prefixed abld_.

is_production
boolean
required

Whether this build is the currently active production build for its platform.

platform
enum<string>
required

The target platform for this build.

Available options:
ios,
android,
web
Example:

"ios"

review_message
string | null
required

Feedback from the reviewer explaining a rejection, or null if the build has not been reviewed or was approved.

source_url
string | null
required

URL to download the compressed source code archive that produced this build, or null when the build was uploaded without a source archive.

status
enum<string>
required

The build's review status.

Available options:
draft,
pending,
approved,
rejected
Example:

"draft"

supported_app_view_types
enum<string>[]
required

The view types this build supports, as declared by the developer.

Available options:
hub,
discover,
dash,
dashboard,
analytics,
skills,
openapi